/**
 * 所有者类型
 */
export enum UserInfoType {
    Personal = 1, // 个人
    Company = 2, // 企业
}

/**
 * 获取所有者类型列表
 * @returns 
 */
export function getUserInfoTypeList() {
    return [
        { label: '个人', value: UserInfoType.Personal },
        { label: '企业', value: UserInfoType.Company },
    ]
}

/**
 * 获取所有者类型名称
 * @param value 
 * @returns 
 */
export function getUserInfoTypeName(value?: number) {
    const item = getUserInfoTypeList().find((e) => e.value === value)
    return item?.label ?? value
}

/**
 * 性别
 */
export enum Gender {
    Female = 0, // 女
    Male = 1, // 男
}

/**
 * 获取性别列表
 * @returns 
 */
export function getGenderList() {
    return [
        { label: '男', value: Gender.Male },
        { label: '女', value: Gender.Female },
    ]
}

/**
 * 获取性别名称
 * @param value 
 * @returns 
 */
export function getGenderName(value?: number) {
    const item = getGenderList().find((e) => e.value === value)
    return item?.label ?? value
}

/**
 * 客户类别
 */
export enum CustomerType {
    Normal = 1, // 普通做市商
    Main = 2, // 主做市商
}

/**
 * 获取客户类别列表
 * @returns 
 */
export function getCustomerTypeList() {
    return [
        { label: '普通做市商', value: CustomerType.Normal },
        { label: '主做市商', value: CustomerType.Main },
    ]
}

/**
 * 获取客户类别名称
 * @param value 
 * @returns 
 */
export function getCustomerTypeName(value?: number) {
    const item = getCustomerTypeList().find((e) => e.value === value)
    return item?.label ?? value
}